# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-09-13 11:49
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion

def add_self(apps, schema_editor):
    # When adding sources for everything, we also need to make sure the local
    # source exists.
    Resource = apps.get_model("ucs_besplusplus", "Resource")
    Resource(settings.BESPLUSPLUS_SELF_ID).save()

class Migration(migrations.Migration):

    dependencies = [
        ('ucs_besplusplus', '0002_rename_proposition_predicate'),
    ]

    operations = [
        migrations.RunPython(add_self),
        migrations.AddField(
            model_name='property',
            name='source',
            field=models.ForeignKey(default=settings.BESPLUSPLUS_SELF_ID, on_delete=django.db.models.deletion.PROTECT, related_name='properties_from', to='ucs_besplusplus.Resource'),
        ),
    ]
